﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ReportViewerSemDataSet
{
    public partial class FormPrincipal : Form
    {
        public FormPrincipal()
        {
            InitializeComponent();
        }

        private void btRelatorio_Click(object sender, EventArgs e)
        {
            var dadosRelatorio = from DataGridViewRow linha in dataGridViewNomes.Rows
                                 select new
                                 {
                                     Nome = linha.Cells["Nome"].Value,
                                     Sobrenome = linha.Cells["Sobrenome"].Value
                                 };

            FormRelatorio.ShowReport("ReportViewerSemDataSet.Relatorio.rdlc", true, new Dictionary<string, object>() { { "DataSetRelatorio", dadosRelatorio.AsEnumerable() } });
        }
    }
}
